Skip to main content
POST
/
v1
/
jobs
/
submit
Sora 2 — Image to Video
curl --request POST \
  --url https://api.muvi.video/v1/jobs/submit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "<string>",
  "input": {
    "image_url": "<string>",
    "aspect_ratio": "<string>",
    "duration": "<string>"
  }
}
'
{
  "jobId": "<string>",
  "status": "<string>",
  "estimatedCompletionTime": "<string>",
  "costMicroCents": 123
}
Generate videos from a source image with OpenAI’s Sora 2 model. Supports multiple duration options and aspect ratios.
PropertyValue
ProviderOpenAI
ModelSora 2
CapabilityImage to Video
Base Cost100,000 micro-cents/second ($0.10/sec)
Processing Time~180 seconds

Request Body

model
string
required
Model slug. Use openai/sora-2/image-to-video for image-to-video generation.
input
object
required
Input parameters for image-to-video generation.
webhookUrl
string
HTTPS URL to receive a webhook notification when the job completes or fails.

Pricing

Base cost: 100,000 micro-cents per second ($0.10/sec)
finalCost = baseCost × duration
FactorOptionMultiplier
Duration44x
88x
1212x
Default cost: 4 seconds = 100,000 × 4 = 400,000 micro-cents ($0.40)

Response

jobId
string
Unique identifier for the submitted job.
status
string
Initial job status. Always "pending" on successful submission.
estimatedCompletionTime
string
ISO 8601 timestamp of the estimated completion time.
costMicroCents
number
The cost of the job in micro-cents.

Code Examples

curl -X POST https://api.muvi.video/v1/jobs/submit \
  -H "Authorization: Bearer $PIXELBYTE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "openai/sora-2/image-to-video",
    "input": {
      "image_url": "https://example.com/landscape.jpg",
      "aspect_ratio": "16:9",
      "duration": "8"
    }
  }'